summaryrefslogtreecommitdiff
path: root/code/platform
diff options
context:
space:
mode:
authorUros Majstorovic <majstor@majstor.org>2018-01-11 18:14:18 +0100
committerUros Majstorovic <majstor@majstor.org>2018-01-11 18:14:18 +0100
commit0b6d7b1baf2baf1f36a3a92865730c2d78fc12be (patch)
tree6888301324848f083cb47ea0b45e043bde90e60c /code/platform
parent0b7db1a4555da3f9a153d72f44bc2a5d070df51f (diff)
platforms added
Diffstat (limited to 'code/platform')
-rwxr-xr-xcode/platform14
1 files changed, 14 insertions, 0 deletions
diff --git a/code/platform b/code/platform
new file mode 100755
index 0000000..545b475
--- /dev/null
+++ b/code/platform
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+
+BASEDIR=$(dirname $0)
+
+if [ -z $1 ]; then
+ echo usage $0 "<platform>"
+ exit 1
+fi
+
+PLATFORM=$1
+
+ln -sf $BASEDIR/Makefile.$PLATFORM $BASEDIR/Makefile.platform
+ln -sf $BASEDIR/config_$PLATFORM.h $BASEDIR/config.h \ No newline at end of file